
package de.ivu.elect.presentation.auffaelligkeit.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.stimmeingabe.StimmeingabeAuffaelligkeitSearchView;

public class StimmeingabeAuffaelligkeitMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public StimmeingabeAuffaelligkeitMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.STIMMEINGABE_AUFFAELIGKEIT_SEARCH);
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  public boolean isDisabledInternal() {
    return !isGebietSelected();
  }

  @Override
  public String getTargetViewId() {
    return StimmeingabeAuffaelligkeitSearchView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "stimmeingabe.erfassen.auffaelligkeit.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconAlert();
  }
}
